# Uses of Class
org.springframework.aot.hint.ExecutableHint

Packages that use ExecutableHint
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of ExecutableHint in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return types with arguments of type ExecutableHint
Modifier and Type
Method
Description
`Stream<ExecutableHint>`
TypeHint.`constructors()`
Return the constructors that require reflection.
`Stream<ExecutableHint>`
TypeHint.`methods()`
Return the methods that require reflection.
Methods in org.springframework.aot.hint with parameters of type ExecutableHint
Modifier and Type
Method
Description
`int`
ExecutableHint.`compareTo(ExecutableHint other)`